diff options
author | fvogel <fvogelnew1@free.fr> | 2021-05-10 19:15:37 (GMT) |
---|---|---|
committer | fvogel <fvogelnew1@free.fr> | 2021-05-10 19:15:37 (GMT) |
commit | 1eb50d9a019aab1356cee5128ebdd4ef6313d3be (patch) | |
tree | 7e22f9af7e832944e3394a824a0d56787f817de8 /.github | |
parent | 5617f682b6481481f7468cddc99f921dc6b8e0b0 (diff) | |
download | tk-1eb50d9a019aab1356cee5128ebdd4ef6313d3be.zip tk-1eb50d9a019aab1356cee5128ebdd4ef6313d3be.tar.gz tk-1eb50d9a019aab1356cee5128ebdd4ef6313d3be.tar.bz2 |
Hmmm... the exit code should probably rather be forced after the xvfb killing. But let's first propagate the exit code from make test to the end of xvfb kill (see man kill: 'The value of $? after the trap action completes shall be the value it had before trap was invoked.')
Diffstat (limited to '.github')
-rw-r--r-- | .github/workflows/mac-build.yml | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml index 0250798..e13b6d6 100644 --- a/.github/workflows/mac-build.yml +++ b/.github/workflows/mac-build.yml @@ -119,7 +119,7 @@ jobs: Xvfb $1 & XVFB_PID=$! echo Launched Xvfb $1 as process $XVFB_PID >&2 - trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID" 0 + trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID; exit 0" 0 export DISPLAY=$1 sleep 2 } @@ -128,7 +128,7 @@ jobs: : do nothing } fi - ( runXvfb :0; make test-classic test-ttk; exit 0 ) | tee out.txt || { + ( runXvfb :0; make test-classic test-ttk; exit $? ) | tee out.txt || { echo "::error::Failure during Test" exit 1 } |